> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an end user entity



## OpenAPI

````yaml https://app.herondata.io/swagger post /api/end_user_entities
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_user_entities:
    post:
      tags:
        - EndUserEntity
      summary: Create an end user entity
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateEndUserEntitySchema'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndUserEntitySchema'
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreateEndUserEntitySchema:
      properties:
        display_order:
          type: integer
        entity_description:
          type: string
        entity_name:
          type: string
        entity_post_processor_configs:
          default: []
          items:
            additionalProperties: {}
            type: object
          type: array
        is_list:
          type: boolean
        saved_query_heron_id:
          nullable: true
          type: string
      required:
        - entity_name
      type: object
    EndUserEntitySchema:
      properties:
        display_order:
          type: integer
        entity_description:
          type: string
        entity_name:
          type: string
        entity_post_processor_configs:
          default: []
          items:
            additionalProperties: {}
            type: object
          type: array
        heron_id:
          type: string
        is_list:
          type: boolean
        saved_query_heron_id:
          nullable: true
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````